/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TaxaEmbarqueKm;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderTaxaEmbarqueKm  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TaxaEmbarqueKm taxaKm = (TaxaEmbarqueKm) o;

        Listcell lc = new Listcell(taxaKm.getTaxaembarquekmId()==null?"-":taxaKm.getTaxaembarquekmId().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getOrgaoconcedenteId().getDescOrgao());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getKmate().toString());
        lc.setParent(lstm);

        lc = new Listcell(taxaKm.getValortaxa().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", taxaKm);
    }

}
